var labelType, useGradients, nativeTextSupport, animate;

(function() {
  var ua = navigator.userAgent,
      iStuff = ua.match(/iPhone/i) || ua.match(/iPad/i),
      typeOfCanvas = typeof HTMLCanvasElement,
      nativeCanvasSupport = (typeOfCanvas == 'object' || typeOfCanvas == 'function'),
      textSupport = nativeCanvasSupport 
        && (typeof document.createElement('canvas').getContext('2d').fillText == 'function');
  //I'm setting this based on the fact that ExCanvas provides text support for IE
  //and that as of today iPhone/iPad current text support is lame
  labelType = (!nativeCanvasSupport || (textSupport && !iStuff))? 'Native' : 'HTML';
  nativeTextSupport = labelType == 'Native';
  useGradients = nativeCanvasSupport;
  animate = !(iStuff || !nativeCanvasSupport);
})();

var Log = {
  elem: false,
  write: function(text){
    if (!this.elem) 
      this.elem = document.getElementById('log');
    this.elem.innerHTML = text;
    this.elem.style.left = (500 - this.elem.offsetWidth / 2) + 'px';
  }
};


function init(){
    //init data
    var json = {
        "id": "0_0",
        "name": "Les abeilles",
        "children": [{
            "id": "1_0",
            "name": "Pollution lectromagntique",
            "data": {
                "sujet": "Les abeilles",
                "description": "-"
            },
           	 "children": [{
          	      "id": "1_1",
          	      "name": "Industries de tlcommunication",
          	      "data": {
          	          "sujet": "Pollution lectromagntique",
          	          "description": "-"
          	      },
          	      "children": []
          		  }, {
          	      "id": "1_2",
          	      "name": "Ondes nfastes",
          	      "data": {
          	          "sujet": "Pollution lectromagntique", 
          	          "description": "-"
          	      }, 
          					  "children": [{
          					   "id": "1_21",
          	    			  "name": "Communications sans fil",
          	    			  "data": {
          	    			      "sujet": "Ondes nfastes", 
          	    			      "description": "-"
          	    			  }, 
							   "children":[]
							   },{
							   "id": "1_22",
          	    			  "name": "Lignes  haute tension",
          	    			  "data": {
          	         			 "sujet": "Ondes nfastes", 
          	         			 "description": "-"
          	      				}, 
				  				"children":[]
          					  }]
          	 	  }, {
          	      "id": "1_3",
          	      "name": "Scientifiques spcialiss",
          	      "data": {
          	          "sujet": "Pollution lctromagntique",
          	          "description": "-"
          	      },                
                
                "children": []
           	 }]
           	 
      		  }, {
      	     "id": "2_0",
      	     "name": "Amateurisme des apiculteurs",
      	     "data": {
      	        "sujet": "Les abeilles",
      	        "description": "-"
      	     },
      	 	       "children": [{
       	 	       "id": "2_1",
      	 	       "name": "Associations d'apiculteurs",
      	 	       "data": {
      	 	           "sujet": "Amateurisme des apiculteurs",
      	 	           "description": "-"
      	 	       },
      	 	       "children": []
      			}, {
      	 	       "id": "2_3",
      	 	       "name": "Apiculteurs professionnels",
      	 	       "data": {
      	 	           "sujet": "Amateurisme des apiculteurs",
      	 	           "description": "-"
      	 	       },
      	 	    	   "children": []
      	 	 	   }, {
      	 	       "id": "2_4",
      	 	       "name": "Produits de traitement",
      	 	       "data": {
      	 	           "sujet": "Amateurisme des apiculteurs",
      	 	           "description": "-"
      	 	       },
      	 	       "children": []


            }]
        }, {
            "id": "3_0",
            "name": "Pesticides",
            "data": {
            "sujet": "Les abeilles",
            "description": "-"
            },
           			 "children": [{
          	 	     "id": "3_1",
          	 	     "name": "Industrie chimique",
          	 	     "data": {
          	 	         "sujet": "Pesticides",
          	 	         "description": "-"
          	 	     },
           	     
          	  	 	        "children": [{
          		 	 	    "id": "3_11",
          	 	 	    	"name": "BASF",
          	 	 	    	"data": {
          	 	 	    	    "sujet": "Pesticides",
          	 	 	    	    "description": "-"
            	    		},
            	    		"children": [{
            	    		 "id": "3_111",
          	 	 	    	"name": "Regent TS",
          	 	 	    	"data": {
          	 	 	    	    "sujet": "BASF",
          	 	 	    	    "description": "-"
            	    		},
            	    		"children": []
            	    		},{
							 "id": "3_112",
          	 	 	    	"name": "Fipronil",
          	 	 	    	"data": {
          	 	 	    	    "sujet": "BASF",
          	 	 	    	    "description": "-"
            	    		},
            	    		"children": []
            	    		}]
            	    		},{
            	    		"id": "3_12",
          	 	 	    	"name": "Bayer",
          	 	 	    	"data": {
          	 	 	    	    "sujet": "Pesticides",
          	 	 	    	    "description": "-"
            	    		},
							"children": [{
							 "id": "3_121",
          	 	 	    	"name": "Gaucho",
          	 	 	    	"data": {
          	 	 	    	    "sujet": "Bayer",
          	 	 	    	    "description": "-"
            	    		},
            	    		"children": []
							},{
							 "id": "3_122",
          	 	 	    	"name": "Imidaclopride",
          	 	 	    	"data": {
          	 	 	    	    "sujet": "Bayer",
          	 	 	    	    "description": "-"
            	    		},
            	    		"children": []
							},{
							 "id": "3_123",
          	 	 	    	"name": "Poncho",
          	 	 	    	"data": {
          	 	 	    	    "sujet": "Bayer",
          	 	 	    	    "description": "-"
            	    		},
            	    		"children": []
							},{
							 "id": "3_124",
          	 	 	    	"name": "Clothianidine",
          	 	 	    	"data": {
          	 	 	    	    "sujet": "Bayer",
          	 	 	    	    "description": "-"
            	    		},
            	    		"children": []
							}]
            	    		},{
            	    		"id": "3_13",
          	 	 	    	"name": "Syngenta",
          	 	 	    	"data": {
          	 	 	    	    "sujet": "Pesticides",
          	 	 	    	    "description": "-"
            	    		},
            	    		"children": [{
            	    		},{
							 "id": "3_131",
          	 	 	    	"name": "Cruiser",
          	 	 	    	"data": {
          	 	 	    	    "sujet": "Syngenta",
          	 	 	    	    "description": "-"
            	    		},
            	    		"children": []
							},{
							 "id": "3_132",
          	 	 	    	"name": "Thiamthoxam",
          	 	 	    	"data": {
          	 	 	    	    "sujet": "Syngenta",
          	 	 	    	    "description": "-"
            	    		},
            	    		"children": []
            	    		}]
						}]
               
            	 }, {
                	"id": "3_2",
                	"name": "Afssa",
                	"data": {
                	    "sujet": "Pesticides",
                	    "description": "-"
                	},
              		"children": []
              		},{
              		"id": "3_3",
                	"name": "Politiques",
                	"data": {
                	    "sujet": "Pesticides",
                	    "description": "-"
                	},
              		"children": [{
              			"id": "3_31",
                		"name": "Juge Jean Gary",
                		"data": {
                		    "sujet": "Politiques",
                		    "description": "-"
                		},
              			"children": []
						},{
						"id": "3_32",
                		"name": "Ministre Herv Gaymard",
                		"data": {
                		    "sujet": "Politiques",
                		    "description": "-"
                		},
              			"children": []             		
              			}]
             		 }, {
                	"id": "3_4",
                	"name": "CST",
                	"data": {
                	    "sujet": "Pesticides",
                	    "description": "-"
                	},
              		"children": []
           	}]
        }, {
            "id": "4_0",
            "name": "Exploitation intensive",
            "data": {
                "sujet": "Les abeilles",
                "description": "-"
            },
          		  "children": [{
          	      "id": "4_1",
          	      "name": "Gestion du territoire",
          	      "data": {
          	          "sujet": "Agriculture intensive",
          	          "description": "-"
          	      },
          	     		 "children": [{
          	     		 "id": "4_11",
          	     		 "name": "Monoculture",
          	     		 "data": {
          	     		     "sujet": "Gestion du territoire",
          	     		     "description": "-"
          	     		     },
          	     		     "children": [{
          	     			"id": "4_111",
          	   			    "name": "Manque de diversit d'alimentation",
          	   				    "data": {
          	          			"sujet": "Monoculture",
          	          			"description": "-"
          	          			},
          	          			"children": []
          	          			},{
          	          		"id": "4_112",
          	   			    "name": "Agriculteurs",
          	   				    "data": {
          	          			"sujet": "Monoculture",
          	          			"description": "-"
          	          			},
          	          			"children": []
								}]
							},{
							"id": "4_12",
          	     		 "name": "Politiques",
          	     		 "data": {
          	     		     "sujet": "Gestion du territoire",
          	     		     "description": "-"
          	     		     },
          	     		     "children": []
							},{
						"id": "4_13",
          	     		 "name": "BASF",
          	     		 "data": {
          	     		     "sujet": "Gestion du territoire",
          	     		     "description": "-"
          	     		     },
          	     		     "children": []
							},{
							"id": "4_14",
          	     		 "name": "ACTA",
          	     		 "data": {
          	     		     "sujet": "Gestion du territoire",
          	     		     "description": "-"
          	     		     },
          	     		     "children": []
							},{
							"id": "4_15",
          	     		 "name": "Pesticides",
          	     		 "data": {
          	     		     "sujet": "Gestion du territoire",
          	     		     "description": "-"
          	     		     },
          	     		     "children": []
	        	      	}]
          	       },{
          	       "id": "4_2",
          	      "name": "Transhumance",
          	      "data": {
          	          "sujet": "Exploitation intensive",
          	          "description": "-"
				  }, 
				 		 "children": [{
				  		"id": "4_21",
          	      		"name": "Grandes exploitations",
          	      		"data": {
          	      		    "sujet": "Transhumance",
          	      		    "description": "-"
				  		}, 
						"children": []	
						},{
						"id": "4_22",
          	      		"name": "Complments alimentaires",
          	      		"data": {
          	      		    "sujet": "Transhumance",
          	      		    "description": "-"
				  		}, 
						"children": []	
						},{
						"id": "4_23",
          	      		"name": "Apiculteurs professionnels",
          	      		"data": {
          	      		    "sujet": "Transhumance",
          	      		    "description": "-"
				  		}, 
						"children": [{
						"id": "4_231",
          	      		"name": "David Hackenberg",
          	      		"data": {
          	      		    "sujet": "Apiculteurs professionnels",
          	      		    "description": "-"
				  		}, 
						"children": []

						}]	

				  }]
				  
				   },{
          	       "id": "4_4",
          	      "name": "Traitements",
          	      "data": {
          	          "sujet": "Exploitation intensive",
          	          "description": "-"
				  }, 
						  "children": [{
          	    		   "id": "4_41",
          	    		  "name": "Nutrition artificielle",
          	    		  "data": {
          	    		      "sujet": "Traitements",
          	    		      "description": "-"
						  }, 
						  "children": []
						  },{
						   "id": "4_42",
          	    		  "name": "Vaccins",
          	    		  "data": {
          	    		      "sujet": "Traitements",
          	    		      "description": "-"
						  }, 
						  "children": []
						  }]
						  },{
					"id": "4_5",
          	        "name": "Adapi",
          	        "data": {
          	          "sujet": "Agriculture intensive",
          	          "description": "-"
          	      },
       	     		 "children": []
       	     		 },{
					"id": "4_6",
          	        "name": "USDA",
          	        "data": {
          	          "sujet": "Agriculture intensive",
          	          "description": "-"
          	      },
       	     		 "children": []

	             }]
	             
        }, {
            "id": "5_0",
            "name": "Insectes prdateurs",
            "data": {
                "sujet": "Les abeilles",
                "description": "-"
            },
            "children": [{
                "id": "5_1",
                "name": "Frelon asiatique",
                "data": {
                    "sujet": "Insectes prdateurs",
                    "description": "-"
                },
                "children": [{
          
              		  "id": "5_11",
             		   "name": "Moyens de lutte",
             		   "data": {
             		       "sujet": "Frelon asiatique",
             		       "description": "-"
             		   },
             		  		 "children": [{
             		  		 "id": "5_111",
             		  		 "name": "Piges",
             		  		 "data": {
             		  		     "sujet": "Moyens de lutte",
             		  		     "description": "-"
             		  		 },
							 "children":[]
							 },{
							  "id": "5_112",
             		  		 "name": "Stratgie de dfense des abeilles",
             		  		 "data": {
             		  		     "sujet": "Moyens de lutte",
             		  		     "description": "-"
             		  		 },
							 "children":[]
            		   }]
            			},{
             		   "id": "5_12",
             		   "name": "Ministres franais",
             		   "data": {
             		       "sujet": "Frelon asiatique",
             		       "description": "-"
             		   },
             		   "children": []
             		   },{
             		    "id": "5_13",
             		   "name": "Muse National d'Histoire Naturelle franais (MNHN)",
             		   "data": {
             		       "sujet": "Frelon asiatique",
             		       "description": "-"
             		   },
             		   "children": []

            }]
            }]
        }, {
            "id": "6_0",
            "name": "OGM",
            "data": {
                "sujet": "Les abeilles",
                "description": "-"
            },
            "children": [{
                "id": "6_1",
                "name": "Consommateurs",
                "data": {
                    "sujet": "OGM",
                    "description": "-"
                },
                "children": []
            }, {
                "id": "6_2",
                "name": "Industrie agroalimentaire",
                "data": {
                    "sujet": "OGM",
                    "description": "-"
                },
                "children": []
            }, {
                "id": "6_3",
                "name": "Agriculteurs",
                "data": {
                    "sujet": "OGM",
                    "description": "-"
                },
                "children": []
            }, {
                "id": "6_4",
                "name": "Associations Anti-OGM",
                "data": {
                    "sujet": "OGM",
                    "description": "-"
                },
                "children": []
            }, {
                "id": "6_5",
                "name": "Chercheurs",
                "data": {
                    "sujet": "OGM",
                    "description": "-"
                },
                "children": []
                }]
        
        },
        /* {
            "id": "7_0",
            "name": "ONU",
            "data": {
                "sujet": "Les abeilles",
                "description": "-"
            },
            "children": [{
            "id": "7_1",
            "name": "Les Etats",
            "data": {
                "sujet": "ONU",
                "description": "-"
            },
            "children": []
			}]        
                        
        },*/
         {
            "id": "8_0",
            "name": "Climat",
            "data": {
                "sujet": "Les abeilles",
                "description": "-"
            },
            	"children": [{
                "id": "8_1",
                "name": "Changement climatique",
                "data": {
                    "sujet": "Climat",
                    "description": "-"
                },
          	  	    "children": [{
              	    "id": "8_11",
          	  	    "name": "Scheresse",
          	  	    "data": {
          	  	        "sujet": "Changement climatique",
          	  	        "description": "-"
          	  	    },
          	  	    "children": []
          	  	    },{
          	  	    "id":"8_12",
          	  	    "name": "Modification des saisons",
          	  	    "data": {
          	  	        "sujet": "Changement climatique",
          	  	        "description": "-"
          	  	    },
          	  	    "children": []
          	  	    },{
			  	    "id":"8_13",
          	  	    "name": "Cycles drangs",
          	  	    "data": {
          	  	        "sujet": "Changement climatique",
          	  	        "description": "-"
          	  	    },
          	  	    "children": []
           	        }]
           		},{ 
           		"id": "8_2",
          	  	"name": "Mtorologie",
          	  	"data": {
          	  	     "sujet": "Climat",
          	  	     "description": "-"
          	  	},
				"children": []
            }]
            
        }, {
                "id": "9_0",
                "name": "Parasites",
                "data": {
                    "sujet": "Abeilles",
                    "description": "-"
                },
                  	 "children": [{
                  	 "id": "9_1",
               		 "name": "Varroa",
               		 "data": {
               		     "sujet": "Parasites",
               		     "description": "-"
					 },
					 "children":[{
               	 	 "id": "9_11",
               		 "name": "Acaricides",
               		 "data": {
               		     "sujet": "Varroa",
               		     "description": "-"
					 },
					 "children":[{
					 "id": "9_111",
               		 "name": "Varroa rsistants",
               		 "data": {
               		     "sujet": "Acaricides",
               		     "description": "-"
               		    },
               		    "children":[]
					 }]
					 
					 },{
					 "id": "9_12",
               		 "name": "Virus pathognes",
               		 "data": {
               		     "sujet": "Varroa",
               		     "description": "-"
					 },
					 "children":[{
					  "id": "9_121",
               		 "name": "IAPV",
               		 "data": {
               		     "sujet": "Virus pathognes",
               		     "description": "-"
					 },
				     "children": []
				     },{
				      "id": "9_122",
               		 "name": "DVW",
               		 "data": {
               		     "sujet": "Virus pathognes",
               		     "description": "-"
					 },
  				     "children": []
					 }]
					 },{
					 "id": "9_113",
               		 "name": "Hte naturel A.cerana",
               		 "data": {
               		     "sujet": "Varroa",
               		     "description": "-"
					 },
					 "children":[]
					}]              
                }]
             
            
       /* }, {
            "id": "10_0",
            "name": "CCD",
            "data": {
                "sujet": "Les abeilles",
                "description": "Colony Collapse Disorder"
            },
            "children": [{
                "id": "10_1",
                "name": "Scientifiques USA",
                "data": {
                    "sujet": "CCD",
                    "description": "les scientifiques ont cr cette expression pour le phnomne de disparition"
                },
            	    "children": [{
            	    "id": "10_11",
            	    "name": "pour: p.ex. Michael Schacker",
            	    "data": {
            		        "sujet": "Scientifiques USA",
            	        "description": "Schacker est convaincu que le CCD est la cause de la disparition des abeilles"
            	    },
            	    "children": []
            	}, {
            	    "id": "10_12",
            	    "name": "contre: p.ex. Frank Eischen/Dennis Anders (BBC)",
            	    "data": {
            	        "sujet": "Scientifiques USA",
            	        "description": "Eischen et Anders ne pensent pas que le CCD est la cause de la disparition"
            	    },
            	    "children": []
           	}]
            }]*/
            }, {
            "id": "11_0",
            "name": "Microchampignons",
            "data": {
                "sujet": "Les abeilles",
                "description": "-"
            },
          		  "children": [{
			 		"id": "11_1",
            	    "name": "Nosema spp.",
            	    "data": {
            		    "sujet": "Microchampignons",
            	        "description": "-"
            	    },
            	    "children": [{
            	     "id": "11_11",
            		"name": "Spores infectieuses",
           			 "data": {
             		   "sujet": "Nosema spp.",
              		  "description": "-"
					},
						"children": [{
						 "id": "11_111",
            			"name": "Transmission de maladies",
           				 "data": {
             			   "sujet": "Spores infectieues",
              			  "description": "-"
						},
						"children":[]
						}]
					},{
					 "id": "11_12",
            		"name": "CCD",
           			 "data": {
             		   "sujet": "Nosema spp.",
              		  "description": "-"
					},
					"children": []
					},{
					 "id": "11_13",
            		"name": "Spcialistes",
           			 "data": {
             		   "sujet": "Nosema spp.",
              		  "description": "-"
					},
						"children": [{
						 "id": "11_131",
            		"name": "Scientifiques",
           			 "data": {
             		   "sujet": "Spcialistes",
              		  "description": "-"
					},
					"children": [{
						
							"id": "11_1311",
            				"name": "USDA",
           					 "data": {
             				   "sujet": "Scientifiques",
              				  "description": "-"
								},
							"children": []
							},{
							"id": "11_1312",
            				"name": "Mariano Higes",
           					 "data": {
             				   "sujet": "Scientifiques",
              				  "description": "-"
								},
							"children": []
							}]
						}]

            	    }]
            }]
            },
           {
                "id": "12_0",
                "name": "Virus",
                "data": {
                    "sujet": "Abeilles",
                    "description": "abeilles sont trs sensibles"
                },
                  	 "children": [{
               		 "id": "12_1",
               		 "name": "IAPV",
               		 "data": {
               		     "sujet": "Virus",
               		     "description": "-"
					 },
						 "children":[{
						 "id": "12_11",
               			 "name": "Spcialistes",
               			 "data": {
               			     "sujet": "IAPV",
               			     "description": "-"
               			    },
               				 "children":[{
							 "id": "12_111",
               				 "name": "Universit de Jrusalem",
               				 "data": {
               				     "sujet": "Spcialistes",
               				     "description": "-"
							 },
							 "children": []
							 },{
							 "id": "12_112",
               				 "name": "Scientifiques USA",
               				 "data": {
               			    	 "sujet": "Spcialistes",
               				     "description": "-"
							 },
							 "children": []
							  },{
							 "id": "12_113",
               				 "name": "Scientifiques australiens",
               				 "data": {
               				     "sujet": "Spcialistes",
               				     "description": "-"
							 },
							 "children": []
							}]
					 },{				 
					 "id": "12_12",
               		 "name": "Echanges commerciaux",
               		 "data": {
               		     "sujet": "IAPV",
               		     "description": "-"
					 },
				     "children": [{
				     "id": "12_121",
               		 "name": "Colonies australiennes",
               		 "data": {
               		     "sujet": "Echanges commerciaux",
               		     "description": "-"
					 },
				     "children": []
				     }]
				     },{
				      "id": "12_13",
               		 "name": "Ministre de l'Agriculture (AUS)",
               		 "data": {
               		     "sujet": "IAPV",
               		     "description": "-"
					 },
  				     "children": [{
  				      "id": "12_131",
               		 "name": "Intrts conomiques",
               		 "data": {
               		     "sujet": "Ministre de l'Agriculture (AUS)",
               		     "description": "-"
					 },
  				     "children": []
  				     }]
  				     },{
				      "id": "12_14",
               		 "name": "Ministre de l'Agriculture (USA)",
               		 "data": {
               		     "sujet": "IAPV",
               		     "description": "-"
					 },
  				     "children": [{
  				     "id": "12_141",
               		 "name": "Apiculteurs",
               		 "data": {
               		     "sujet": "Ministre de l'Agriculture (USA)",
               		     "description": "-"
					 },
  				     "children": []
  				     },{
  				     "id": "12_142",
               		 "name": "Snateurs",
               		 "data": {
               		     "sujet": "Ministre de l'Agriculture (USA)",
               		     "description": "-"
					 },
  				     "children": []

				     }]
  				     },{
  				     "id": "12_15",
               		 "name": "CCD",
               		 "data": {
               		     "sujet": "IAPV",
               		     "description": "-"
					 },
  				     "children": []
					 }]
					 
				}]              

        }],
        "data": []
       
    };
    
    //end
    var infovis = document.getElementById('infovis');
    var w = infovis.offsetWidth - 50, h = infovis.offsetHeight - 50;
    
    //init Hypertree
    var ht = new $jit.Hypertree({
      //id of the visualization container
      injectInto: 'infovis',
      //canvas width and height
      width: w,
      height: h,
      //Change node and edge styles such as
      //color, width and dimensions.
      Node: {
          dim: 9,
          color: "#F7811D"
      },
      Edge: {
          lineWidth: 1.5,
          color: "#32639A"
      },
      onBeforeCompute: function(node){
          Log.write(" ");
      },
      //Attach event handlers and add text to the
      //labels. This method is only triggered on label
      //creation
      onCreateLabel: function(domElement, node){
          domElement.innerHTML = node.name;
          $jit.util.addEvent(domElement, 'click', function () {
              ht.onClick(node.id);
          });
      },
      //Change node styles when labels are placed
      //or moved.
      onPlaceLabel: function(domElement, node){
          var style = domElement.style;
          style.display = '';
          style.cursor = 'pointer';
          if (node._depth <= 1) {
              style.fontSize = "0.85em";
              style.color = "#592114";

          } else if(node._depth == 2){
              style.fontSize = "0.75em";
              style.color = "#787878";

          } else {
              style.display = 'none';
          }

          var left = parseInt(style.left);
          var w = domElement.offsetWidth;
          style.left = (left - w / 2) + 'px';
      },
      
      onAfterCompute: function(){
          Log.write(" ");
          
          //Build the right column relations list.
          //This is done by collecting the information (stored in the data property) 
          //for all the nodes adjacent to the centered node.
          var node = ht.graph.getClosestNodeToOrigin("current");
          var html = "<h4>" + node.name + "</h4><b>Connections:</b>";
          html += "<ul>";
          node.eachAdjacency(function(adj){
              var child = adj.nodeTo;
              if (child.data) {
                  var rel = (child.data.sujet == node.name) ? child.data.description : node.data.description;
                  if(child.link)
	                  html += '<li><a href="' + child.link + '">' + child.name + " " + "</a><div class=\"description\"> Description: " + rel + " </div></li>";
                  else
	                  html += '<li><a href="www.google.com">' + child.name + " " + "</a><div class=\"description\"> Description: " + rel + " </div></li>";
              }
          });
          html += "</ul>";
          $jit.id('inner-details').innerHTML = html;
      }
    });
    //load JSON data.
    ht.loadJSON(json);
    //compute positions and plot.
    ht.refresh();
    //end
    ht.controller.onAfterCompute();
}
